Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertySetterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.log4j.config.PropertySetterException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertySetterException

extends java.lang.Exception

Thrown when an error is encountered whilst attempting to set a property using the `PropertySetter` utility class.

Since:
  1.1
Author:
  Anders Kristensen
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `rootCause`

Constructor Summary
`PropertySetterException(java.lang.String msg)`
`PropertySetterException(java.lang.Throwable rootCause)`

Method Summary
`java.lang.String` | `getMessage()` Returns descriptive text on the cause of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    protected java.lang.Throwable rootCause

Constructor Detail

### PropertySetterException

    public PropertySetterException(java.lang.String msg)

### PropertySetterException

    public PropertySetterException(java.lang.Throwable rootCause)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns descriptive text on the cause of this exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.